#
# spec file for package erlang-mixer
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           erlang-mixer
Version:        0.1.1+git.1353433756.58ded93
%define mod_ver %(echo "%{version}" | cut -d "+" -f1)
Release:        2.452
License:        Apache-2.0
Summary:        Mix in functions from other modules
Url:            https://github.com/opscode/mixer
Group:          Development/Libraries/Other
Source:         mixer-%{version}.tar.gz
BuildRequires:  erlang-rebar
Requires:       erlang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mix in functions from other modules.

%prep
%setup -n mixer-%{version}

%build
%rebar compile

%install
for dir in ebin include ; do
  install -d %{buildroot}%{erlang_libdir}/mixer-%{mod_ver}/${dir}
  cp -r ${dir}/* %{buildroot}%{erlang_libdir}/mixer-%{mod_ver}/${dir}/
done

%check
%rebar ct

%files
%defattr(-,root,root)
%doc README.markdown LICENSE
%dir %{erlang_libdir}/mixer-%{mod_ver}
%{erlang_libdir}/mixer-%{mod_ver}/ebin
%{erlang_libdir}/mixer-%{mod_ver}/include
%changelog
* Fri Apr 26 2013 nkrinner@suse.com
- Drop -devel subpackage
- Move include/ directory to the base package
* Fri Apr  5 2013 speilicke@suse.com
- Initial version
